Macro Toggle Visibility2 2-2: Difference between revisions

From FreeCAD Documentation
m (Mario52 moved page Macro DisplayAllObjects2 2-2 to Macro Toggle Visibility2 2-2 without leaving a redirect: Part of translatable page "Macro DisplayAllObjects2 2-2")
(organisation)
Line 3: Line 3:
<!--T:11-->
<!--T:11-->
{{Macro
{{Macro
|Name=Macro_DisplayAllObjects2_2-2
|Name=Macro Toggle Visibility2 2-2
|translate=Macro DisplayAllObjects2 2-2
|translate=Macro Toggle Visibility2 2-2
|Icon=Macro_VisibleAlls2.png
|Icon=Macro_VisibleAlls2.png
|Description={{ColoredParagraph|DarkRed|Yellow|This macro must be used with '''Macro_Toggle_Visibility2'''}}<br/>This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2|Macro_Toggle_Visibility2]]
|Description={{ColoredParagraph|DarkRed|Yellow|This macro must be used with '''Macro_Toggle_Visibility2_1-2'''}}<br/>This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2_1-2|Macro Toggle Visibility2 1-2]]
|Author=openfablab
|Author=openfablab
|Version=00.02b
|Version=00.02b
|Date=2017-07-27
|Date=2017-07-27
|FCVersion=All
|FCVersion=All
|Download=[https://www.freecadweb.org/wiki/images/e/ec/Macro_VisibleAlls2.png ToolBar Icon]<br/>[[Macro_Toggle_Visibility2|Macro Toggle Visibility2]]
|Download=[https://www.freecadweb.org/wiki/images/e/ec/Macro_VisibleAlls2.png ToolBar Icon]<br/>[[Macro_Toggle_Visibility2_1-2|Macro_Toggle_Visibility2_1-2]]
|SeeAlso=[[Macro_Toggle_Visibility2|Macro Toggle Visibility2]]
|SeeAlso=[[Macro_Toggle_Visibility2_1-2|Macro Toggle Visibility2 1-2]]<br/>[[Macro_Toggle_Visibility|Macro Toggle Visibility]]
}}
}}


==Description== <!--T:1-->
==Description== <!--T:1-->
{{ColoredText|This macro must be used with '''[[Macro_Toggle_Visibility2|Macro_Toggle_Visibility2]]'''}}
{{ColoredText|This macro must be used with '''[[Macro_Toggle_Visibility2_1-2|Macro Toggle Visibility2 1-2]]'''}}


<!--T:13-->
<!--T:13-->
This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2|Macro_Toggle_Visibility2]]
This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2_1-2|Macro Toggle Visibility2 1-2]]


==How To Use== <!--T:2-->
==How To Use== <!--T:2-->
Line 36: Line 36:


<!--T:7-->
<!--T:7-->
This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2|Macro_Toggle_Visibility2]] macro.
This macro makes all objects visible respecting the original visible and hidden objects after use the [[Macro_Toggle_Visibility2_1-2|Macro_Toggle_Visibility2_1-2]] macro.


</translate>
</translate>
Line 46: Line 46:


import FreeCAD
import FreeCAD
#original name "Macro_VisibleAlls" pratical name "Macro_Toggle_Visibility2_2-2" "Macro_Toggle_Visibility2_1-2" associate with "Macro_Toggle_Visibility2_2-2"
#Macro_VisibleAlls
__title__="Macro_DisplayAllObjects2_2-2"
__title__="Macro_DisplayAllObjects2_2-2"
__author__ = "openfablab"
__author__ = "openfablab"

Revision as of 13:28, 26 July 2019

Other languages:

Macro Toggle Visibility2 2-2

Description
This macro must be used with Macro_Toggle_Visibility2_1-2

This macro makes all objects visible respecting the original visible and hidden objects after use the Macro Toggle Visibility2 1-2

Macro version: 00.02b
Last modified: 2017-07-27
FreeCAD version: All
Download: ToolBar Icon
Macro_Toggle_Visibility2_1-2
Author: openfablab
Author
openfablab
Download
ToolBar Icon
Macro_Toggle_Visibility2_1-2
Links
Macro Version
00.02b
Date last modified
2017-07-27
FreeCAD Version(s)
All
Default shortcut
None
See also
Macro Toggle Visibility2 1-2
Macro Toggle Visibility

Description

This macro must be used with Macro Toggle Visibility2 1-2

This macro makes all objects visible respecting the original visible and hidden objects after use the Macro Toggle Visibility2 1-2

How To Use

Copy the macros and the icons in your folder macros and run (see How to install macros)

ToggleVisibility

Using the selection of objects in the one of the FreeCAD views, this macro makes all selected objects visible and hides all objects which are not selected.

If no object(s) are selected then all objects are hidden

If all objects are hidden and there is no selection in ComboView then all object are made visible

Script

This macro makes all objects visible respecting the original visible and hidden objects after use the Macro_Toggle_Visibility2_1-2 macro.

ToolBar Icon

Macro_DisplayAllObjects2_2-2.FCMacro

import FreeCAD
#original name "Macro_VisibleAlls" pratical name "Macro_Toggle_Visibility2_2-2" "Macro_Toggle_Visibility2_1-2" associate with "Macro_Toggle_Visibility2_2-2"
__title__="Macro_DisplayAllObjects2_2-2"
__author__ = "openfablab"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00b"
__date__    = "27/07/2017"

try:
    for ShapeNameObj in FreeCAD.actual:   # displyed alls objects
        #print ShapeNameObj
        FreeCADGui.ActiveDocument.getObject(ShapeNameObj).Visibility = True
except Exception:
    None